<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/list_refresh"
    android:background="@color/background"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/headerContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <View
                android:id="@+id/firstBackground"
                android:layout_width="match_parent"
                android:layout_height="89dp"
                android:background="@color/amway_primary_color"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/secondBackground"
                android:layout_width="match_parent"
                android:layout_height="89dp"
                android:background="@drawable/amway_gradient_background"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/firstBackground" />

            <ImageView
                android:id="@+id/topBackgroundView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:src="@drawable/bg_amway_al_top"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="24dp"
                app:layout_constraintLeft_toLeftOf="@id/topBackgroundView"
                app:layout_constraintRight_toRightOf="@id/topBackgroundView"
                app:layout_constraintTop_toTopOf="@id/topBackgroundView">

                <ImageView
                    android:id="@+id/introIv"
                    android:layout_width="64dp"
                    android:layout_height="64dp"
                    android:src="@drawable/ic_amway_intro"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="12dp"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toBottomOf="@id/introIv"
                    app:layout_constraintLeft_toRightOf="@id/introIv"
                    app:layout_constraintTop_toTopOf="@id/introIv">

                    <TextView
                        android:id="@+id/introTitleTv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:shadowColor="#80366a94"
                        android:shadowDx="0"
                        android:shadowDy="1.0"
                        android:shadowRadius="2.0"
                        android:text="刷评论，写推荐"
                        android:textColor="@color/white"
                        android:textSize="18sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/introContentTv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="2dp"
                        android:alpha="0.7"
                        android:text="一起发现更广阔的游戏世界"
                        android:textColor="@color/white"
                        android:textSize="12sp" />

                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:clipToPadding="false"
                android:paddingTop="@dimen/amway_al_recyclerview_top_padding" />

            <FrameLayout
                android:id="@+id/skeletonPlaceholder"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <View
                android:id="@+id/reuse_ll_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

            <include layout="@layout/reuse_no_connection" />

            <include layout="@layout/reuse_none_data" />

            <include layout="@layout/reuse_data_exception" />

        </RelativeLayout>

        <ImageView
            android:id="@+id/fab"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_gravity="end|bottom"
            android:layout_marginRight="14dp"
            android:layout_marginBottom="72dp"
            android:src="@drawable/ic_amway_fab" />
    </FrameLayout>

</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>